PDA

View Full Version : Messed up graphics (CPS2 for PSP)



ave_sat
January 30th, 2009, 20:17
Hi there, I just joined the forums. Some may know me from other forums, I'm also active at assemblergames, shmups.com, gamengai.com, cave-stg.com (a little) and in some German communities. :)
I think I'm gonna like it here, I'm pretty much liking any GBA / PSP homebrew and emulated stuff (while owning the original games -in most cases-, I just like to play my retro console games on the train ect.)

So here goes my first question to start off my membership at dcemu.
I want to play Progear with my CPS2 emulator, but everything I get is weird scrambled graphics and sprites all over the screen. I can play the game untill the end and sound works well, but the problem is obvious.


I have a PSP-1001 w/firmware 3.52 and custom firmware M33-4 installed. The CPS2-emulator is version 2.3.1. for FW 3.xx (CPS2PSP).

the romset:
http://s2b.directupload.net/images/090130/enm3932f.jpghttp://s8b.directupload.net/images/090130/wzs8gsxd.jpg
scrambles graphics:
http://s7b.directupload.net/images/090130/hjzwb26n.jpg
http://s8b.directupload.net/images/090130/athmzjoa.jpg

I heard there was something about a missing 'decoder' in the romset... maybe some of you can help me :confused:
Thanks!

mike_jmg
February 2nd, 2009, 07:26
All I can think of, Bad rom?

edit: also just noticed something weird, might be an error, but why do you say you're using CPS2-emulator version 2.3.1. for FW 3.xx and it is on the GAME150 folder????

ave_sat
February 2nd, 2009, 15:48
All I can think of, Bad rom?
I tried all the other Progear roms available. The US one seems to be the worst though (the others at least had correct bullets).


edit: also just noticed something weird, might be an error, but why do you say you're using CPS2-emulator version 2.3.1. for FW 3.xx and it is on the GAME150 folder????
All my emulators/apps are in the GAME150 folder and work fine. Whats supposed to be wrong about it?

mike_jmg
February 5th, 2009, 18:16
The thing supposed to be wrong is that you might be using an app that is designed for 3.XX kernel on 1.50 kernel, which as far as I know is impossible.

Maybe it can run on 1.50 and maybe that's what's causing the error.

R U sure the version is 2.3.1. for FW 3.xx

Cause there is a 2.3.1 for 1.50 kernel which is the one you should be using.

Try changing the cps2 folder to ms0:/PSP/GAME and see what happens

edit: I got the rom, converted it, and it works just fine (Is the US version BTW)

ave_sat
February 8th, 2009, 15:41
I recached the rom and now it works. Weird. Seems like something was wrong with the cache data.

Thanks anyway! :)